Name:		scim-skk
Version:	0.5.2
Release:	12%{?dist}
Summary:	SCIM IMEngine module for skk

Group:		System Environment/Libraries
License:	GPLv2+
URL:		http://scim-imengine.sourceforge.jp/
Source0:	http://sourceforge.jp/projects/scim-imengine/files/%{name}-%{version}.tar.gz
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

Patch0: scim-skk-broken-iter.diff
Patch1:		%{name}-0.5.2-gcc43.patch

BuildRequires:	scim-devel
Requires:	scim, skkdic

%description
Scim-skk is a SCIM IMEngine module for skk to support Japanese input


%prep
%setup -q
# unclear if this is needed.  mdomsch 2008-09-16
#%patch0 -p0
%patch1 -p1

%build
%configure --disable-static
make  %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make DESTDIR=${RPM_BUILD_ROOT} install

rm $RPM_BUILD_ROOT%{_libdir}/scim-1.0/*/{IMEngine,SetupUI}/*.la

%find_lang %{name}


%clean
rm -rf $RPM_BUILD_ROOT


%files -f %{name}.lang
%defattr(-,root,root,-)
%doc AUTHORS COPYING NEWS README ChangeLog
%{_libdir}/scim-1.0/*/IMEngine/skk.so
%{_libdir}/scim-1.0/*/SetupUI/skk-imengine-setup.so
%{_datadir}/scim/icons/scim-skk.png


%changelog
* Wed Feb 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.5.2-12
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Tue Sep 16 2008 Matt Domsch <mdomsch@fedoraproject.org> - 0.5.2-11
- fix FTBFS BZ#434419

* Thu Sep  4 2008 Tom "spot" Callaway <tcallawa@redhat.com> - 0.5.2-10
- fix license tag

* Tue Feb 19 2008 Fedora Release Engineering <rel-eng@fedoraproject.org> - 0.5.2-9
- Autorebuild for GCC 4.3

* Wed Jul  4 2007 Jens Petersen <petersen@redhat.com>
- remove with_libstdc_preview macro

* Sat Sep 15 2006 Ryo Dairiki <ryo-dairiki@users.sourceforge.net> - 0.5.2-8
- mass rebuilding.

* Sun Jul 23 2006 Ryo Diairki <ryo-dairiki@users.sourceforge.net> - 0.5.2-7
- add a patch for the problem of broken iterators.

* Mon Jun 19 2006 Jens Petersen <petersen@redhat.com> - 0.5.2-5
- rebuild (to stay above FE5)

* Tue Apr  4 2006 Jens Petersen <petersen@redhat.com> - 0.5.2-4
- rebuild without libstdc++so7

* Mon Feb 13 2006 Jens Petersen <petersen@redhat.com> - 0.5.2-3
- build conditionally with libstdc++so7 preview library (#166041)
  - add with_libstdc_preview switch and tweak libtool to link against it
- update filelist since moduledir is now api-versioned


* Sun Feb 12 2006 Ryo Dairiki <ryo-dairiki@users.sourceforge.net> - 0.5.2-2
- a little cleanup

* Wed Jan 25 2006 Ryo Dairiki <ryo-dairiki@users.sourceforge.net> - 0.5.2-1
- update to 0.5.2

* Sat Dec 17 2005 Ryo Dairiki <ryo-dairiki@users.sourceforge.net> - 0.5.1-1
- update to 0.5.1

* Fri Dec 2 2005 Ryo Dairiki <ryo-dairiki@users.sourceforge.net> - 0.5.0-1
- update to 0.5.0

* Tue Nov 1 2005 Ryo Diairki <ryo-dairiki@users.sourceforge.net> - 0.4.0-1
- update to 0.4.0

* Fri Oct  7 2005 Ryo Dairiki <ryo-dairiki@users.sourceforge.net> - 0.3.0-5
- add scim in the requirement

* Sat Sep 17 2005 Ryo Dairiki <ryo-dairiki@users.sourceforge.net> - 0.3.0-3
- a bit more cleanup (Thanks, Jens)

* Tue Sep  6 2005 Ryo Dairiki <ryo-dairiki@users.sourceforge.net> - 0.3.0-2
- initial packaging for Fedora Extras
- cleanup specfile (Jens Petersen)

